/*
 * Status Network Controller
 */
app.controller('StatusNetworkController', ['$http',
                                    function ($http) {
    var ctrl = this;
    ctrl.network = {};

    ctrl.getNetworkStatus = function() {
        $http({
            method : 'GET',
            url : '/api/status/network'
        }).then(function(response) {
            // First function handles success
            ctrl.network = response.data;

            /* Load DNS Config */
            $http.get('/api/config/network').then(function(response) {
                ctrl.network.dns = response.data.ip.dns;
            });
        }, function(response) {
            // Second function handles error
        });
    };

    ctrl.getNetworkStatus();
}]);
